require 'studio_game/game'

module StudioGame

	describe Game do 

		before do 
			@game = Game.new('knuckleheads')

			@initial_health = 100
			@player = Player.new("moe", @initial_health)

			@game.add_players(@player)
		end

		it "heals the player if a high number is rolled" do
			Die.any_instance.stub(:roll).and_return(5)

			@game.play(2)
			@player.health.should == @initial_health + (15 * 2)
		end

		it "skips the player if a medium number is rolled" do
			Die.any_instance.stub(:roll).and_return(3)
			@game.play(2)
			@player.health.should == @initial_health
		end

		it "slashes the player if a low number is rolled" do
			Die.any_instance.stub(:roll).and_return(1)
			@game.play(2)
			@player.health.should == @initial_health - (10 * 2)
		end

		it "assigns a treasure for points during a player's turn" do
	 	  game = Game.new("Knuckleheads")
	  	  player = Player.new("moe")

	  	  game.add_players(player)

	 	  game.play(1)
	 	end
	end
end